Skip to content

China Bank Card Check

Request

Method: POST

URL: https://{{environment}}.ridx.io/cvs/v2/cnbc

Headers

Header Value
Content-Type application/json
token {{access_token}}

Request Body

Property Type Description
bankCardNo String Number of bank card, must be 19 characters
fullName String Full name of card holder
idCardNo String Number on national ID card must be 18 characters
dateOfBirth String Card holder date of birth, in the format: yyyy-mm-dd

Important Response Data

Property Type Description
safeHarbour Boolean Indicates whether the identity has been validated against the Primary Search AND has cleared a Watchlist check
status Number The score indicating the match on the payload data (see "Status number" below)
identityVerified Boolean Indicates whether the source document was verified
verifications.XXXX Boolean Each field has a Boolean value indicating whether that field was verified against the searched data sources or not

Status numbers

  • 0: A full match on the identity has been returned
  • 1: The Identity was matched, but the name provided was incorrect
  • 2: All information provided was incorrect
  • 3: The data source being utilised is not working

Example Requests

{
  "fullName": "黄俊龙",
  "dateOfBirth": "1988-07-22",
  "idCardNo": "422822198807221014",
  "bankCardNo": "6221885200057396430"
}
{
  "fullName": "黄俊龙",
  "dateOfBirth": "1988-07-22",
  "idCardNo": "422822198807221014",
  "bankCardNo": "6221885200057396431"
}
{
  "fullName": "黄俊龙",
  "dateOfBirth": "1988-07-22",
  "idCardNo": "422822198807221014",
  "bankCardNo": "6221885200057396432"
}
{
  "fullName": "黄俊龙",
  "dateOfBirth": "1988-07-22",
  "idCardNo": "422822198807221014",
  "bankCardNo": "6221885200057396433"
}
{
  "dateOfBirth": "1988-07-22",
  "idCardNo": "422822198807221014",
  "bankCardNo": "6221885200057396436"
}

Example Responses

Status: 200 OK

{
  "countryCode": "China",
  "clientReference": "",
  "reportingReference": "XX-XXX-XXXXXXXXXXXXXXX",
  "matchStatus": "Full Match 1+1 Verification",
  "searchErrorMessage": "",
  "safeHarbour": false,
  "searchStatus": "Successful",
  "serviceResponses": {
    "China Bank Card": {
      "status": 0,
      "sourceStatus": "Successful",
      "errorMessage": "",
      "identityVerified": true,
      "safeHarbourScore": "M2",
      "nameMatchScore": "1.000",
      "addressMatchScore": "N/A",
      "verifications": {
        "bankCardNo": true,
        "dateOfBirth": true,
        "fullName": true,
        "idCardNo": true
      },
      "returnedData": {}
    }
  },
  "remarks": [],
  "rapidID": "check-id"
}

Status: 200 OK

{
  "status": 200,
  "message": "ok",
  "data": {
    "countryCode": "China",
    "clientReference": "",
    "reportingReference": "XX-XXX-XXXXXXXXXXXXXXX",
    "matchStatus": "No Match",
    "searchErrorMessage": "",
    "safeHarbour": false,
    "searchStatus": "Successful",
    "serviceResponses": {
      "China Bank Card": {
        "status": 1,
        "sourceStatus": "Successful",
        "errorMessage": "",
        "identityVerified": false,
        "safeHarbourScore": "none",
        "nameMatchScore": "N/A",
        "addressMatchScore": "N/A",
        "verifications": {
          "bankCardNo": false,
          "dateOfBirth": false,
          "fullName": false,
          "idCardNo": false
        },
        "returnedData": {}
      }
    },
    "remarks": [],
    "rapidID": "check-id"
  }
}

Status: 200 OK

{
  "status": 200,
  "message": "ok",
  "data": {
    "countryCode": "China",
    "clientReference": "",
    "reportingReference": "XX-XXX-XXXXXXXXXXXXXXX",
    "matchStatus": "No Match",
    "searchErrorMessage": "",
    "safeHarbour": false,
    "searchStatus": "Successful",
    "serviceResponses": {
      "China Bank Card": {
        "status": 2,
        "sourceStatus": "Successful",
        "errorMessage": "",
        "identityVerified": false,
        "safeHarbourScore": "none",
        "nameMatchScore": "N/A",
        "addressMatchScore": "N/A",
        "verifications": {
          "bankCardNo": false,
          "dateOfBirth": false,
          "fullName": false,
          "idCardNo": false
        },
        "returnedData": {}
      }
    },
    "remarks": [],
    "rapidID": "check-id"
  }
}

Status: 200 OK

{
  "status": 200,
  "message": "ok",
  "data": {
    "countryCode": "China",
    "clientReference": "",
    "reportingReference": "XX-XXX-XXXXXXXXXXXXXXX",
    "matchStatus": "No Match",
    "searchErrorMessage": "",
    "safeHarbour": false,
    "searchStatus": "Successful",
    "serviceResponses": {
      "China Bank Card": {
        "status": 3,
        "sourceStatus": "Successful",
        "errorMessage": "",
        "identityVerified": false,
        "safeHarbourScore": "none",
        "nameMatchScore": "N/A",
        "addressMatchScore": "N/A",
        "verifications": {
          "bankCardNo": false,
          "dateOfBirth": false,
          "fullName": false,
          "idCardNo": false
        },
        "returnedData": {}
      }
    },
    "remarks": [],
    "rapidID": "check-id"
  }
}

Status: 400 Bad Request

{
  "status": "400",
  "message": "fullName field missing or empty"
}